epydoc (3.0.1+dfsg-5) unstable; urgency=medium

  * Fix Lintian bug in debian/copyright: empty-short-license-in-dep5-copyright.
  * Bump standards version to 3.9.6.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 03 Oct 2014 19:52:32 +0000

epydoc (3.0.1+dfsg-4) unstable; urgency=low

  * Bump standards version to 3.9.5.0 (no packaging changes).
  * Fix Lintian warning privacy-breach-logo for doc/index.html.
    - Add new patch patches/lintian.patch
    - Remove <IMG src="http://sourceforge.net/sflogo.php?group_id=32455&type=1">
    - Replace with simple text "SourceForge", with no privacy implications

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Feb 2014 09:39:10 -0600

epydoc (3.0.1+dfsg-3) unstable; urgency=low

  * Convert debian/rules to debhelper7, overriding just a few standard targets.
  * Update debian/README.debian to use dh_python2 rather than python-support.
  * Modify debian/python-epydoc.dirs to properly use usr/share/pyshared.
  * Update debian/copyright to list 2013 as the copyright date on my changes.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 24 Apr 2013 16:35:13 +0000

epydoc (3.0.1+dfsg-2) unstable; urgency=low

  * Bump standards version to 3.9.4.0; no packaging changes.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 31 Dec 2012 18:41:53 +0000

epydoc (3.0.1+dfsg-1) unstable; urgency=low

  * Package a new DFSG-free upstream tarball (closes: #692733).
    - The new tarball removes non-free doc/pycon-epydoc.html
    - Remove debian/patches/remove-cc-by-nc-sa.patch; no longer needed
    - Add opts=dversionmangle in debian/watch per Lintian recommendation

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Nov 2012 16:04:44 +0000

epydoc (3.0.1-13) unstable; urgency=low

  * Update copyright date for Debian package files in debian/copyright.
  * Remove non-free doc/pycon-epydoc.html from the package (closes: #692733).
    - Remove reference to doc/pycon-epydoc.html from debian/copyright
    - Add new patch debian/patches/remove-cc-by-nc-sa.patch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 08 Nov 2012 09:35:39 -0600

epydoc (3.0.1-12) unstable; urgency=low

  * Update to machine-readable debian/copyright file format, version 1.0.
  * Bump standards version to 3.9.3.0; no packaging changes.
  * Move to debhelper (>= 9) and debian/compat=9, which is the new standard.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 12 Mar 2012 12:06:08 -0500

epydoc (3.0.1-11) unstable; urgency=low

  * Stop depending on transitional gs-common package (closes: #649697).
    - Replace Recommends: gs-common with Recommends: ghostscript 

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 23 Nov 2011 10:21:01 -0600

epydoc (3.0.1-10) unstable; urgency=low

  * Bump standards version to 3.9.2.0; no packaging changes.
  * Fix Lintian warning: debian-rules-missing-recommended-target
    - Restructure build, build-arch, build-indep targets in debian/rules
  * Transition to dh_python2, since python-support is deprecated for Wheezy.
    - Replace Build-Depends: python-support with python-all in debian/control
    - Replace debian/pyversion with X-Python-Version: >= 2.1 in debian/control
    - Replace call to 'dh_pysupport -d' with 'dh_python2' in debian/rules
    - Replace python-support with pyshared in debian/cedar-backup2.install

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 05 Aug 2011 14:41:41 -0500

epydoc (3.0.1-9) unstable; urgency=low

  * Bump standards version to 3.9.1.0 (no packaging changes).
  * Do a better job of handling special latex entries (closes: #614570).
    - Apply debian/patches/special-latex-entries.patch
    - Patch provided by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 02 Mar 2011 16:41:50 +0000

epydoc (3.0.1-8) unstable; urgency=low

  * Revise manpages.patch based on better understanding of GROFF hyphens.
  * Apply python26-tokenizer.patch to fix Epydoc tokenizer (closes: #590112).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 25 Jul 2010 16:04:00 +0000

epydoc (3.0.1-7) unstable; urgency=low

  * Tweak manpage syntax based on advice from Lintian (manpages.patch).
  * Remove version numbers in Conflicts: to quiet Lintian.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 11 Jul 2010 01:54:23 +0000

epydoc (3.0.1-6) unstable; urgency=low

  * Tweak short description to better match official recommendations.
  * Bump standards version to 3.9.0.0.
  * Add Homepage: tag in debian/control.
  * Convert debian/copyright to new DEP-5 machine-readable format.
  * Convert to source format "3.0 (quilt)"
    - Add new file debian/source/format 
    - Add new patch debian/patches/mention-debian.patch
    - Add new patch debian/patches/remove-shebang.patch
    - Add new patch debian/patches/handle-docutils-0.6.patch
    - Add new patch debian/patches/string-exceptions.patch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 28 Jun 2010 13:27:23 -0500

epydoc (3.0.1-5) unstable; urgency=low

  * Replace deprecated string exception in apidoc.py (closes: #585290).
  * Bump standards version to 3.8.4 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 12 Jun 2010 13:17:07 -0500

epydoc (3.0.1-4) unstable; urgency=low

  * Bump standards version to 3.8.3 (no packaging changes).
  * Add ${misc:Depends} for all binary packages, per lintian recommendation.
  * Apply patch to fix problems with docutils 0.6 (closes: #561793).
    - Thanks to Thomas Hille for research and the initial patch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 31 Dec 2009 02:56:36 +0000

epydoc (3.0.1-3) unstable; urgency=low

  * Bump standards version to 3.8.1 (no packaging changes).
  * Bump debhelper compatibility to 7, per linitian recommendation.
  * Declare a dependency on debhelper (>= 7.0.1) to match compatibility.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Mar 2009 18:10:30 -0500

epydoc (3.0.1-2) unstable; urgency=low

  * Add Suggests: python-profiler to support call graphs (closes: #506756)
  * List explicit copyright statement in debian/copyright, to quiet lintian.
  * Move user manual to Programming section in doc-base configuration.
  * Bump standards version to 3.8.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  8 Dec 2008 18:56:47 -0600

epydoc (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Removed #! from top of epydoc/gui.py
  * Got rid of version mangling in debian/watch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  3 Feb 2008 13:22:12 -0600

epydoc (3.0~beta1-5) unstable; urgency=low

  * Recommend python-docutils, for reStructuredText markup (closes: #449525).
  * Use qa.debian.org redirector in debian/watch, so SourceForge URL works.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 18 Nov 2007 18:11:59 -0600

epydoc (3.0~beta1-4) unstable; urgency=low

  * Apply a better fix for #441368 (provided by upstream).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Sep 2007 14:01:07 -0500

epydoc (3.0~beta1-3) unstable; urgency=low

  * Remove debian/watch file, which doesn't work any more (thanks, Sourceforge).
  * Apply selected changes from upstream's Subversion repository:
    - Fixes for identifiers containing dashes, svn rev 1606 (closes: #433424)
    - Fixes for indexed terms, svn rev 1603 (closes: #441368)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Sep 2007 10:23:46 -0500

epydoc (3.0~beta1-2) unstable; urgency=low

  * Put back several single-character command-line options (closes: #433804).
    - Patch cli.py to support the -u and -c options (match the manpage)
    - Patch cli.py, doc/epydoc-man.html and man/epydoc.1 to support the -n option
    - Submitted patches to upstream in SF bug #1760001

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 24 Jul 2007 20:07:18 -0500

epydoc (3.0~beta1-1) unstable; urgency=low

  * Package 3.0 beta 1 release (closes: #425193).
    - Change README.TXT to README.txt in debian/*.docs  
    - Skip installing apirst2html.py until I understand its purpose better
    - Remove dh_links call in debian/rules, since it's not really needed
    - Change debian/control to add Recommends: graphviz (needed for --graph)
    - Thanks to Cameron Dale for initial package upgrade patch 

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  9 Jul 2007 21:00:30 -0500

epydoc (2.1-13) unstable; urgency=low

  * Completely rework previous fix for bug #425077 based on further testing.
    - texlive-latex-base is not enough; add texlive-latex-extra, 
      texlive-latex-recommended and texlive-fonts-recommended so
      everything works and the package gets installed cleanly
    - Patch latex.py to use fancyhdr, since fancyheadings isn't in texlive
    - Update README.Debian to reflect changes in recommended dependencies.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  3 Jun 2007 18:20:26 -0500

epydoc (2.1-12) unstable; urgency=low

  * Bring Recommends dependencies up to date with lenny (closes: #425077).
    - Recommend texlive-latex-base rather than obsolete tetex-extra
    - Recommend gs-common rather than gs-esp | gs, since this is where ps2pdf lives
    - Recommend iceweasel | www-browser rather than mozilla | www-browser

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  3 Jun 2007 14:02:45 -0500

epydoc (2.1-11) unstable; urgency=low

  * Bumped Standards-Version to 3.7.2.
    - Provide empty binary-arch target in debian/rules to quiet lintian
  * Update to latest Python policy using python-support method.
    - Change debian/control to use Build-Depends instead of Build-Depends-Indep
    - Change debian/control to use Depends: ${python:Depends}
    - Change debian/control to use Recommends: python-tk, not pythonX.Y-tk
    - Change debian/rules to build using /usr/bin/python, not /usr/bin/python2.4
    - Change debian/rules to invoke dh_pysupport -d (for ${python:Depends})
    - Change debian/rules to stop installing obsolete wrapper scripts
    - Change debian/rules to use --install-purelib/--install-scripts, not --prefix
    - Change debian/python-epydoc.dirs to reference usr/share/python-support
    - Change debian/python-epydoc.install to match new build locations
    - Change debian/python-epydoc.preinst to remove old package's pyo and pyc files
    - Remove debian/epydoc.wrapper and debian/epydocgui.wrapper
    - Remove debian/python-epydoc.postinst and debian/python-epydoc.prerm
    - Added new debian/pyversions file for use by python-support
  * Remove support for $PYTHONVER in the epydoc and epydocgui command-line scripts.
    - This cannot really be done well with the new policy and infrastructure
    - Removed CHOICE OF PYTHON VERSION section from man/epydoc*.1
    - Reworked debian/README.Debian to discuss this loss of functionality

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 24 Jul 2006 01:11:44 +0000

epydoc (2.1-10) unstable; urgency=low

  * Remove obsolete debian/python2.[123]-epydoc files (leftovers).
  * Change debian/rules to remove obsolete python2.[123] references.
  * Remove references to python2.1 and python2.2 and make python2.4 the default
    - Update documentation in debian/README.Debian
    - Change Depends and Build-Depends-Indep to use python2.4
    - Update package descriptions to remove obsolete information
    - Change debian/python-epydoc.install to reference python2.4
    - Change python search order in debian/python-epydoc.postinst
    - Change debian/rules to use python2.4 to build the package

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 15 Apr 2006 10:50:13 -0500

epydoc (2.1-9) unstable; urgency=low

  * Remove pythonX.Y-epydoc packages now that sarge has released.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 10 Jun 2005 13:10:04 -0500

epydoc (2.1-8) unstable; urgency=low

  * Support Python 2.4 in wrappers and postinst.
  * Rework postinst so that it works for people who have Python set up to 
    use alternatives.  I now have to invoke compileall.compile_dir() rather
    than compileally.py because I can't be sure of the location of
    compileall.py.  Fix is based on pychecker bug #300922.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 23 Mar 2005 17:04:44 -0600

epydoc (2.1-7) unstable; urgency=low

  * Fix broken escape of @ decorator in docstring codeblocks (closes: #293571).
    - Problem is that colorizer.py _COMMENT pattern catches &#64; and splits it.
    - Simplistic fix is to change pattern from '(#.*?$)' to '([^&]#.*?$)'.
    - I've written upstream several times, but have not heard back.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 12 Mar 2005 13:45:00 -0600

epydoc (2.1-6) unstable; urgency=low

  * Rework python-epydoc postinst so that it works even for people who don't
    have the default python package installed.  The fix is to look for python,
    python2.3, python2.2 and python2.1 (in that order), and use the first one
    found to compile the modules (closes: #291292).
  * Update README.Debian to match new behavior in postinst.
  * Added notes in executable wrappers to document new behavior in postinst.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 19 Jan 2005 16:47:04 -0600

epydoc (2.1-5) unstable; urgency=low

  * Recommend 'gs-esp | gs' rather than just 'gs' (closes: #275654).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 14 Oct 2004 19:50:08 -0500

epydoc (2.1-4) unstable; urgency=low

  * Fix latex output when using --separate-class option (closes: #250775).
    - Fix is based on patch from Paul van Tilburg
    - I applied patch from upstream based on Paul's patch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 24 May 2004 18:34:30 -0500

epydoc (2.1-3) unstable; urgency=low

  * Updated debian/watch to fix Sourceforge download URL away from mirror.
  * Now Recommend mozilla | www-browser for epydoc-doc to shut Lintian up.
  * Now Recommend tetex-extra and gs for python-epydoc so --ps, --pdf and --dvi work.
  * Updated debian/README.Debian to clarify optional packages.
  * Fixed broken error message in epydoc/cli.py, when handling invalid switch.
  * Fixed generated latex to work with Debian tetex packages (closes: #250256).
    - Change epydoc/latex.py to use \usepackage[headings]{fullpage}
    - This is a Debian-specific change after discussion with upstream

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 22 May 2004 12:51:34 -0500

epydoc (2.1-2) unstable; urgency=low

  * Fix TypeError ("Cannot create UID...") bug in uid.py (closes: #242832).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 11 Apr 2004 23:20:00 -0500

epydoc (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 21 Mar 2004 12:16:01 -0600

epydoc (2.0-3) unstable; urgency=low

  * Changed section from doc to python for all but epydoc-doc.
  * Fixed broken dependencies (closes: #238798).
    - Dependencies forced install of python2.1 or 2.2 even if 2.3 was available
    - Change Depends to python2.3 | python2.2-xmlbase | python2.1-xmlbase

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 19 Mar 2004 22:14:34 -0600

epydoc (2.0-2) unstable; urgency=low

  * Complete reworking of package now that I've taken it over.
    - Added README.Debian to document some packaging details
    - Entire package is now debhelper-ized (compat level 4)
    - Python modules are now installed in site-python
    - All scripts, Python modules, etc. are now in python-epyoc only
    - Old pythonX.Y-epydoc packages are obsolete but remain for easy upgrade
    - Section has been changed from 'extra' to 'optional' to match overrides
    - Documentation from -doc package is now available via dhelp, doc-central, etc.
    - Removed epydocX.Y scripts in favor of scripts that work for all python versions
    - Added Debian-specific sections to manpages, to document new script behavior
    - Tweaked epydoc/cli.py to give correct Debian script name in -h output
    - Tweaked epydoc/cli.py usage to remove reference to nonexistent manpage

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 15 Mar 2004 21:04:16 -0600

epydoc (2.0-1) unstable; urgency=low

  * Hijacking this package (inactive and unresponsive maintainer).
    See: http://lists.debian.org/debian-devel/2004/debian-devel-200402/msg02048.html

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Feb 2004 15:46:49 -0600

epydoc (2.0-0.2) unstable; urgency=low

  * NMU (inactive maintainer).
  * Fix Python dependency for python-epydoc package (closes: #216568).
    - Now depend on python (>= 2.3), python (<< 2.4).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 19 Oct 2003 13:07:28 -0500

epydoc (2.0-0.1) unstable; urgency=low

  * NMU under "excessively liberal NMU policy" through 14 Sep 2003.
  * Upgraded to upstream 2.0 release.
    - Epydoc GUI now works (closes: #171471)
    - Epydoc can now handle keyword arguments (closes: #171722)
    - Epydoc now properly documents static class methods (closes: #204390)
  * Made package descriptions more verbose (closes: #210087).
  * Now installable in sid (closes: #178782).
    - Removed dependency on python2.3-xmlbase.
  * Default package is now python2.3-epydoc.
    - python-epydoc now depends on python2.3-epydoc (>= 2.0-0.1)
    - All defaults (manpages, binaries) are for 2.3 rather than 2.2
    - Manpages required 2.3 version to replace/conflict with old 2.2 version
  * Fixed typo in change entry for 1.1-2 (showed #16827 rather than #168271).
  * Removed (s) from debian/copyright to quiet lintian.
  * Added debian/watch file.
  * Tweaked debian rules file as little as possible.
    - Hardcode list of scripts, so build under CVS works
    - Make sure to compress Debian changelog in all packages
    - Changed code to make soft links for Python 2.3 rather than 2.2
    - Needed to install epydoc/markup and epydoc/test as well

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 11 Sep 2003 14:41:18 -0500

epydoc (1.1-2) unstable; urgency=low

  * Adding Recommends: tkinter (Closes: #171460)
  * Adding Suggests: epydoc-doc (Closes: #168271)

 -- Moshe Zadka <moshez@debian.org>  Mon,  2 Dec 2002 18:06:31 +0000

epydoc (1.1-1) unstable; urgency=low

  * New upstream version
  * Uploading to Debian 

 -- Moshe Zadka <moshez@debian.org>  Sat,  2 Nov 2002 08:15:03 +0000

epydoc (1.0-1) unstable; urgency=low

  * New upstream version.

 -- Moshe Zadka <moshez@debian.org>  Fri, 27 Sep 2002 04:48:29 +0000

epydoc (0.2-1) unstable; urgency=low

  * First release

 -- Moshe Zadka <moshez@debian.org>  Mon,  9 Sep 2002 01:53:01 +0000
